Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionToolBoxV2.TabPosition

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QStyleOptionToolBoxV2.TabPosition

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QStyleOptionToolBoxV2

    public static final class QStyleOptionToolBoxV2.TabPosition

extends java.lang.Enum
implements QtEnumerator

This enum describes tab positions relative to other tabs.

See Also:
  Serialized Form

Field Summary
`static QStyleOptionToolBoxV2.TabPosition` | `Beginning` The tab is the first (i.e., top-most) tab in the toolbox.
`static QStyleOptionToolBoxV2.TabPosition` | `End` The tab is placed at the bottom of the toolbox.
`static QStyleOptionToolBoxV2.TabPosition` | `Middle` The tab is placed in the middle of the toolbox.
`static QStyleOptionToolBoxV2.TabPosition` | `OnlyOneTab` There is only one tab in the toolbox.

Method Summary
`static QStyleOptionToolBoxV2.TabPosition` | `resolve(int value)` Returns the QStyleOptionToolBoxV2$TabPosition constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyleOptionToolBoxV2.TabPosition` | `valueOf(java.lang.String name)`
`static QStyleOptionToolBoxV2.TabPosition[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Beginning

    public static final QStyleOptionToolBoxV2.TabPosition Beginning

  The tab is the first (i.e., top-most) tab in the toolbox.

### Middle

    public static final QStyleOptionToolBoxV2.TabPosition Middle

  The tab is placed in the middle of the toolbox.

### End

    public static final QStyleOptionToolBoxV2.TabPosition End

  The tab is placed at the bottom of the toolbox.

### OnlyOneTab

    public static final QStyleOptionToolBoxV2.TabPosition OnlyOneTab

  There is only one tab in the toolbox.

Method Detail

### values

    public static QStyleOptionToolBoxV2.TabPosition[] values()

### valueOf

    public static QStyleOptionToolBoxV2.TabPosition valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyleOptionToolBoxV2.TabPosition resolve(int value)

  Returns the QStyleOptionToolBoxV2$TabPosition constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD